/*
	LUSScreenSaver
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_WIDGET_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_WIDGET_H_

#include <qwidget.h>
#include <qpixmap.h>
#include <qpopupmenu.h>
#include <qpainter.h>
#include <qwindowsystem_qws.h>
#include <qpe/qcopenvelope_qws.h>
#include <qpe/qpeapplication.h>
#include <qpe/global.h>
#include <qpe/resource.h>

class LUSScreenSaver;

class LUSScreenSaverWidget : public QWidget
{
	Q_OBJECT
public:
	LUSScreenSaverWidget( LUSScreenSaver*, QWidget* );
	~LUSScreenSaverWidget();

protected:
    void mouseReleaseEvent( QMouseEvent* );
    void paintEvent( QPaintEvent* );
protected slots:
	void receiveMessage( const QCString&, const QByteArray& );

private:
	void SetScreenSaverActivate();
	void Version();
	void ExecSettingsDialog();
	void SetLCDBlank();
	void SetIconMode( int );
private slots:
	void MenuAction( int );

private:
	LUSScreenSaver* m_pSaverImpl;
	QPixmap m_oPixmap;

protected:
	QCopChannel* m_pChannel;
};

#endif /* _LESS_UNSATICEFACTORY_SCREENSAVER_WIDGET_H_ */
